curl --request POST \
--url 'https://api.stateset.com/api/v1/activity-logs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"action": "string",
"actor": "string",
"actor_kind": "string",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}'
{
"action": "string",
"actor": "string",
"actor_kind": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}
Record
Record
POST
/
api
/
v1
/
activity-logs
curl --request POST \
--url 'https://api.stateset.com/api/v1/activity-logs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"action": "string",
"actor": "string",
"actor_kind": "string",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}'
{
"action": "string",
"actor": "string",
"actor_kind": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}
Request body
RecordActivityRequest
string
required
string,null
string,null
One of
user, system, integration, agent.object
string
required
string
required
string
required
Response
ActivityLogResponse
string
required
string,null
string
required
string
required
string
required
object
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/activity-logs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"action": "string",
"actor": "string",
"actor_kind": "string",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}'
{
"action": "string",
"actor": "string",
"actor_kind": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}
Last modified on August 31, 2026